@import "../../../theme/mixins";

.container {
  @include esspass-12-grid-template;

  span {
    grid-column: 5/9;
    display: block;
    font-size: 3.6rem;
    font-weight: bold;
    margin: 3.75rem auto;
    width: 100%;
    text-align: center;
    font-family: Arial Helvetica, sans-serif;
  }

  section {
    grid-column: 3/11;
    font-size: 1.8rem;

    div {
      &:nth-child(1),
      &:nth-child(3) {
        margin: 1rem auto;
        width: 100%;
        text-align: justify;
      }

      &:nth-child(4) {
        font-size: 2.6rem;
        font-weight: bold;
        margin: 2.25rem auto;
        width: 100%;
        text-align: justify;
      }

      &:last-child {
        margin: 0 auto 5rem 0;
        text-align: justify;
      }
    }

    ul {
      grid-column: 3/9;
      font-size: 1.8rem;
      margin: 1rem 2rem;
      width: 100%;
      text-wrap: normal;

      li {
        list-style-position: inside;
      }
    }
  }
}

@media screen and (max-width: 500px) {
  .container {
    @include esspass-5-grid-random-width-gap-template(7rem, 0.5rem);
    text-align: center;

    span {
      grid-column: 1/6;
      display: block;
      font-size: 2.8rem;
      font-weight: bold;
      margin: 2.75rem auto;
      width: 100%;
      text-align: center;
      font-family: Arial Helvetica, sans-serif;
    }

    section {
      grid-column: 1/6;
      margin: 2rem 1rem;

      ul {
        display: grid;
        margin: 0;
        grid-column: 1/6;
        li {
          margin: 1rem 2rem;
        }
      }

      div {
        &:nth-child(4) {
          font-size: 2.6rem;
          font-weight: bold;
          margin: 2.25rem auto;
          width: 100%;
          text-align: center;
        }
      }
    }
  }
}
